<!DOCTYPE html>
<html>
<head>
    <title>Method Overriding Example</title>
</head>
<body>
<?php
class Animal {
    public function makeSound() {
        return "Generic animal sound";
    }
}

class Dog extends Animal {
    public function makeSound() {
        return "Woof!";
    }
}

class Cat extends Animal {
    public function makeSound() {
        return "Meow!";
    }
}

$animal = new Animal();
$dog = new Dog();
$cat = new Cat();

echo "Animal says: " . $animal->makeSound() . "<br>";
echo "Dog says: " . $dog->makeSound() . "<br>";
echo "Cat says: " . $cat->makeSound();
?>
</body>
</html>